package admin.model;

import admin.util.ResponseEnum;
import lombok.AllArgsConstructor;
import lombok.Data;

import javax.websocket.Session;

/**
 * @author lj
 * @date 2025/3/3 18:32
 */
@Data
@AllArgsConstructor
public class SendSseModel {
    /**
     * 问题
     */
    private String message;
    /**
     * 会话id
     */
    private String sessionId;
    /**
     * session
     */
    private Session seesion;
    /**
     * 用户名
     */
    private String userName;

    /**
     * 是H5则发送消息给大屏
     */
    private boolean isH5;

    /**
     * 前端根据这类型进行判断：1-中科慧居简介 2-饼状图 3-柱状图 4-趋势图
     */
    private ResponseEnum showType;
}
