package admin.service;

import admin.model.python.PythonApiReq;
import admin.resp.PythonResp;

import java.util.List;

/**
 * @author lj
 * @date 2025/3/13 15:17
 */
public interface PythonOpenApiClient {

    /**
     * 获取分析结果
     * @param pythonApiReq
     * @return
     */
    PythonResp getAnalysisData(PythonApiReq pythonApiReq);

    /**
     * 获取相似问题
     * @param pythonApiReq
     * @return
     */
    List<String> getSimilarProblems(PythonApiReq pythonApiReq);
}
