package admin.util;

import javax.websocket.Session;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @author lj
 * @date 2025/3/3 17:58
 */
public class WebConnectUtil {

    /**
     * key - 网页的sessionId
     * value - 城市名
     */
    private static final ConcurrentHashMap<String,String> map = new ConcurrentHashMap<>();
    private static final ConcurrentHashMap<String,Session> sessionMap = new ConcurrentHashMap<>();

    public static void put(String key, String value, Session session){
        map.put(key,value);
        sessionMap.put(key,session);
    }

    public static void remove(String key){
        map.remove(key);
        sessionMap.remove(key);
    }

    public static Map<String,String> getMap(){
        return map;
    }

    public static List<Session> getWebMap(String userName) {
        List<Session> list= new ArrayList<>();
        map.forEach((i,j)->{
            if (j.equals(userName)) {
                Session session = sessionMap.get(i);
                list.add(session);
            }
        });
        return list;
    }
}
