package admin.model;

import admin.util.ResponseEnum;
import lombok.Data;

import javax.websocket.Session;

/**
 * @author lj
 * @date 2025/3/5 15:30
 */
@Data
public class MaxKbChatReq {
    /**
     * 提问内容
     */
    private String message;
    /**
     * sessionId用于h5获取匹配的大屏session
     */
    private String sessionId;
    /**
     * 客户端  H5还是web
     */
    private String client;
    /**
     * maxkb会话id
     */
    private String chatId;
    /**
     * 当前session
     */
    private Session session;
    /**
     * 大屏名称
     */
    private String userName;
    /**
     * 前端展示类型 1-中科慧居简介
     */
    private ResponseEnum showType;
    /**
     * maxkb访问路径
     */
    private String maxkbTalkUrl;
    /**
     * maxkb密钥
     */
    private String maxkbApiKey;

}
